import { getModelToken } from '@nestjs/mongoose';
import { Test, TestingModule } from '@nestjs/testing';
import { CategoriesFormationsServiceMock } from '../../../test/mock/services/categoriesFormations.mock.service';
import { CreateCategoriesFormations } from '../dto/create-categoriesFormations.dto';
import { CategoriesFormations } from '../schemas/categoriesFormations.schema';
import { CategoriesFormationsService } from '../services/categories-formations.service';
import { CategoriesFormationsController } from './categories-formations.controller';

describe('CategoriesFormationsController', () => {
  let controller: CategoriesFormationsController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      imports: [],
      providers: [
        {
          provide: CategoriesFormationsService,
          useClass: CategoriesFormationsServiceMock,
        },
        {
          provide: getModelToken('CategoriesFormations'),
          useValue: CategoriesFormations,
        },
      ],
      controllers: [CategoriesFormationsController],
    }).compile();

    controller = module.get<CategoriesFormationsController>(CategoriesFormationsController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });

  it('should find all formations', async () => {
    expect((await controller.findAll()).length).toBe(6);
    expect((await controller.findAll())[0].modules.length).toBe(8);
  });

  it('should create a formation', async () => {
    const data: CreateCategoriesFormations = {
      name: 'test',
      modules: [
        {
          id: '74',
          display_id: '74',
          display_name: 'Modules APTIC - n°74',
          digest: 'Smartphones et Tablettes sous Androïd',
          text: 'Smartphones et Tablettes sous Androïd',
        },
      ],
    };
    expect((await controller.create(data)).modules.length).toBe(2);
  });
});
