import { getModelToken } from '@nestjs/mongoose';
import { Test, TestingModule } from '@nestjs/testing';
import { CategoriesOthersServiceMock } from '../../../test/mock/services/categoriesOthers.mock.service';
import { CategoriesOthers } from '../schemas/categoriesOthers.schema';
import { CategoriesOthersService } from '../services/categories-others.service';
import { CategoriesOthersController } from './categories-others.controller';

describe('CategoriesOthersController', () => {
  let controller: CategoriesOthersController;

  beforeEach(async () => {
    const module: TestingModule = await Test.createTestingModule({
      imports: [],
      providers: [
        {
          provide: CategoriesOthersService,
          useClass: CategoriesOthersServiceMock,
        },
        {
          provide: getModelToken('CategoriesOthers'),
          useValue: CategoriesOthers,
        },
      ],
      controllers: [CategoriesOthersController],
    }).compile();

    controller = module.get<CategoriesOthersController>(CategoriesOthersController);
  });

  it('should be defined', () => {
    expect(controller).toBeDefined();
  });

  it('should find all formations', async () => {
    expect((await controller.findAll()).length).toBe(1);
    expect((await controller.findAll())[0].modules.length).toBe(6);
  });

  it('should create a formation', async () => {
    const data: CategoriesOthers = {
      id: 'publics',
      name: 'test',
      modules: [
        {
          id: 'toutPublic',
          text: 'Tout public',
        },
      ],
    };
    expect((await controller.create(data)).modules.length).toBe(1);
  });
});
