import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();

  const cursor = db.collection('categoriesothers').find({});
  let document;
  while ((document = await cursor.next())) {
    if (document.id == 'labelsQualifications') {
      const newDoc = updateLabel(document);
      await db.collection('categoriesothers').updateOne({ _id: document._id }, [{ $set: newDoc }]);
    }
  }
  console.log(`Update done`);
};

export const down = async () => {
  const db: Db = await getDb();

  const cursor = db.collection('categoriesothers').find({});
  let document;
  while ((document = await cursor.next())) {
    if (document.id == 'labelsQualifications') {
      const newDoc = downgradeLabel(document);
      await db.collection('categoriesothers').updateOne({ _id: document._id }, [{ $set: newDoc }]);
    }
  }
  console.log(`Update done`);
};

function updateLabel(doc) {
  doc = addCNFS(doc);
  return doc;
}

function downgradeLabel(doc) {
  doc = removeCNFS(doc);
  return doc;
}

function removeCNFS(doc) {
  if (doc.modules) {
    doc.modules = doc.modules.filter(function (elem) {
      return elem.id != 'conseillerNumFranceServices';
    });
  }
  return doc;
}

function addCNFS(doc) {
  if (doc.modules) {
    doc.modules.push({
      id: 'conseillerNumFranceServices',
      text: 'Conseiller numérique France services',
    });
  }
  return doc;
}
