import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db.collection('structuretype').updateOne({ name: 'Publique' }, { $push: { values: 'MaisonFranceService' } });
  console.log('Updated : MaisonFranceService added to "Publique" document in "StructureType" collection');
};

export const down = async () => {
  const db: Db = await getDb();
  await db.collection('structuretype').updateOne({ name: 'Publique' }, { $pull: { values: 'MaisonFranceService' } });
  console.log('Downgraded : MaisonFranceService removed from "Publique" document in "StructureType" collection');
};
