import { Db } from 'mongodb';
import { getDb } from '../migrations-utils/db';

export const up = async () => {
  const db: Db = await getDb();
  await db.collection('tclstoppoints').updateMany({}, { $pull: { busLines: { $in: ['PL1', 'PL2', 'PL3'] } } });
  await db.collection('tclstoppoints').deleteMany({
    $and: [{ tramLines: { $size: 0 } }, { subLines: { $size: 0 } }, { busLines: { $size: 0 } }],
  });
  console.log(`Update done : removed night buses from 'tclstoppoints' collection`);
};

export const down = async () => {
  console.log('No down migration implemented for : remove night buses');
};
