import { Body, Controller, Get, Logger, Post } from '@nestjs/common';
import { ApiTags } from '@nestjs/swagger';
import { OnlineMediationDto } from './dto/onlineMediation.dto';
import { IOnlineMediation } from './interfaces/onlineMediation.interface';

import { OnlineMediationService } from './onlineMediation.service';

@ApiTags('online-mediation')
@Controller('online-mediation')
export class OnlineMediationController {
  private readonly logger = new Logger(OnlineMediationController.name);

  constructor(private onlineMediationService: OnlineMediationService) {}

  @Get()
  public findAll(): Promise<IOnlineMediation[]> {
    this.logger.debug('findAll');
    return this.onlineMediationService.getAll();
  }

  @Post()
  public createOnlineMediation(@Body() onlineMediation: OnlineMediationDto): Promise<IOnlineMediation> {
    this.logger.debug('create One');
    return this.onlineMediationService.create(onlineMediation);
  }
}
